| Flutter Impeller |

Public Member Functions | List of all members
impeller::PlaceholderFilterInput Class Referencefinal

`#include <placeholder_filter_input.h>`

Inheritance diagram for impeller::PlaceholderFilterInput:

## Public Member Functions
| PlaceholderFilterInput (Rect coverage)
| ~PlaceholderFilterInput () override
Variant | GetInput () const override
std::optional< Snapshot > | GetSnapshot (const std::string &label, const ContentContext &renderer, const Entity &entity, std::optional< Rect > coverage_limit, int32_t mip_count=1) const override
std::optional< Rect > | GetCoverage (const Entity &entity) const override
void | PopulateGlyphAtlas (const std::shared_ptr< LazyGlyphAtlas > &lazy_glyph_atlas, Scalar scale) override
Public Member Functions inherited from impeller::FilterInput
virtual | ~FilterInput ()
std::optional< Rect > | GetLocalCoverage (const Entity &entity) const
virtual std::optional< Rect > | GetSourceCoverage (const Matrix &effect_transform, const Rect &output_limit) const
virtual Matrix | GetLocalTransform (const Entity &entity) const
| Get the local transform of this filter input. This transform is relative to the `Entity` transform space. More...
virtual Matrix | GetTransform (const Entity &entity) const
| Get the transform of this `FilterInput`. This is equivalent to calling `entity.GetTransform() * GetLocalTransform()`. More...
virtual bool | IsTranslationOnly () const
virtual bool | IsLeaf () const
| Returns `true` unless this input is a `FilterInput`, which may take other inputs. More...
virtual void | SetLeafInputs (const FilterInput::Vector &inputs)
| Replaces the inputs of all leaf `FilterContents` with a new set of `inputs`. More...
virtual void | SetEffectTransform (const Matrix &matrix)
| Sets the effect transform of filter inputs. More...
virtual void | SetRenderingMode (Entity::RenderingMode rendering_mode)
| Turns on subpass mode for filter inputs. More...

## Additional Inherited Members
Public Types inherited from impeller::FilterInput
using | Ref = std::shared_ptr< FilterInput >
using | Vector = std::vector< FilterInput::Ref >
using | Variant = std::variant< std::shared_ptr< FilterContents >, std::shared_ptr< Contents >, std::shared_ptr< Texture >, Rect >
Static Public Member Functions inherited from impeller::FilterInput
static FilterInput::Ref | Make (Variant input, bool msaa_enabled=true)
static FilterInput::Ref | Make (std::shared_ptr< Texture > input, Matrix local_transform)
static FilterInput::Vector | Make (std::initializer_list< Variant > inputs)

## Detailed Description

Definition at line 12 of file placeholder_filter_input.h.

## Constructor & Destructor Documentation

## ◆ PlaceholderFilterInput()

impeller::PlaceholderFilterInput::PlaceholderFilterInput | ( | Rect | coverage | ) |
| explicit

Definition at line 14 of file placeholder_filter_input.cc.

15 : coverage_rect_(coverage_rect) {}

## ◆ ~PlaceholderFilterInput()

impeller::PlaceholderFilterInput::~PlaceholderFilterInput | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetCoverage()

std::optional< Rect > impeller::PlaceholderFilterInput::GetCoverage | ( | const Entity & | entity | ) | const
| override virtual

Implements impeller::FilterInput.

Definition at line 32 of file placeholder_filter_input.cc.

33 {
34 return coverage_rect_;
35 }

## ◆ GetInput()

FilterInput::Variant impeller::PlaceholderFilterInput::GetInput | ( |  | ) | const
| override virtual

Implements impeller::FilterInput.

Definition at line 19 of file placeholder_filter_input.cc.

19 {
20 return coverage_rect_;
21 }

## ◆ GetSnapshot()

std::optional< Snapshot > impeller::PlaceholderFilterInput::GetSnapshot | ( | const std::string & | label,
|  | const ContentContext & | renderer,
|  | const Entity & | entity,
|  | std::optional< Rect > | coverage_limit,
|  | int32_t | mip_count = `1`
| ) |  | const
| override virtual

Implements impeller::FilterInput.

Definition at line 23 of file placeholder_filter_input.cc.

28 {
29 return std::nullopt;
30 }

## ◆ PopulateGlyphAtlas()

void impeller::PlaceholderFilterInput::PopulateGlyphAtlas | ( | const std::shared_ptr< LazyGlyphAtlas > & | lazy_glyph_atlas,
|  | Scalar | scale
| ) |  |
| override virtual

See also
  `Contents::PopulateGlyphAtlas`

Reimplemented from impeller::FilterInput.

Definition at line 37 of file placeholder_filter_input.cc.

39 {}

The documentation for this class was generated from the following files:

- impeller/entity/contents/filters/inputs/placeholder_filter_input.h
- impeller/entity/contents/filters/inputs/placeholder_filter_input.cc